Skip to content
Start here

Fetch complete analytics data for your livestreams

GET/accounts/{account_id}/realtime/kit/{app_id}/analytics/livestreams/overall

Returns livestream analytics for the specified time range.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

maxLength32
Query ParametersExpand Collapse
end_time: optional string

Specify the end time range in ISO format to access the livestream analytics.

formatdate-time
start_time: optional string

Specify the start time range in ISO format to access the livestream analytics.

formatdate-time
ReturnsExpand Collapse
data: optional object { count, total_ingest_seconds, total_viewer_seconds }
count: optional number

Count of total livestreams.

total_ingest_seconds: optional number

Total time duration for which the input was given or the meeting was streamed.

total_viewer_seconds: optional number

Total view time for which the viewers watched the stream.

success: optional boolean

Fetch complete analytics data for your livestreams

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/analytics/livestreams/overall \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": {
    "count": 0,
    "total_ingest_seconds": 0,
    "total_viewer_seconds": 0
  },
  "success": true
}
Returns Examples
{
  "data": {
    "count": 0,
    "total_ingest_seconds": 0,
    "total_viewer_seconds": 0
  },
  "success": true
}